Quantcast
Ace2 Dependencies? - WoWInterface
 
 
Thread Tools Display Modes
Prev Previous Post   Next Post Next
12-10-06, 04:07 AM   #1
Jayhawk
Premium Member
 
Jayhawk's Avatar
AddOn Author - Click to view addons
Join Date: May 2006
Posts: 105
Ace2 Dependencies?

You may have noticed I'm having some issues with this...

I've read that FuBar addons should be able to run without FuBar. I've been trying this, as to check that I've got all the required Libraries, but no dice. Worse, the add on doesn't load at all...but doesn't throw any errors either.

I tried to set the following libraries to load.
  • * AceAddon-2.0
  • * AceConsole-2.0
  • * AceDB-2.0
  • * AceEvent-2.0
  • * AceHook-2.1
  • * AceLibrary
  • AceLocale-2.2 (specifically using this in SkillsPlus)
  • * AceOO-2.0
  • Babble-Race-2.2 (specifically using this in SkillsPlus)
  • Babble-Spell-2.2 (specifically using this in SkillsPlus)
  • * Compost-2.0
  • Crayon-2.0 (specifically using this in SkillsPlus)
  • Dewdrop-2.0 (specifically using this in SkillsPlus)
  • FuBarPlugin-2.0 (specifically using this in SkillsPlus)
  • Metrognome-2.0 (specifically using this in SkillsPlus)
  • Tablet-2.0 (specifically using this in SkillsPlus)
* add on not in the current upload

The FubarPlugin-2.0 documention says it needs:
  • Ace2
  • CompostLib
  • DewdropLib
  • TabletLib

Where as the lua itself says:
  • AceLibrary
  • AceOO-2.0
  • AceEvent-2.0
  • DewdropLib
  • TableLib
As you see it doens't mention CompostLib...

Digging deeper, I see AceOO-2.0.lua is dependent on:
  • AceLibrary

Whereas AceEvent-2.0.lua is dependent on:
  • AceLibrary
  • AceOO-2.0
Neither of the API documentation pages say anything about dependencies...

I also checked with some other addons, like Nevcairiel's ItemBonusesFu, which shows up just fine, but looking at the libraries...I don't really see much difference (or at least not stuff I can see that would make a difference...)

I'm confused..should I just dump in all of the Ace2 stuff even if it isn't used directly, just to make sure there's not a single dependency missing?

Please note the current version has FuBar set as dependency. I switched did that off when I was testing the above.

Last edited by Jayhawk : 12-10-06 at 04:53 AM.
  Reply With Quote
 

WoWInterface » AddOns, Compilations, Macros » AddOn Search/Requests » Ace2 Dependencies?

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off